# Uses of Interface
org.opensaml.soap.wsaddressing.Address

Packages that use Address
Package
Description
org.opensaml.soap.wsaddressing
XMLObject interfaces for WS-Addressing 1.0 elements.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.

## Uses of Address in org.opensaml.soap.wsaddressing

Methods in org.opensaml.soap.wsaddressing that return Address
Modifier and Type
Method
Description
`Address`
EndpointReferenceType.`getAddress()`
Returns the <wsa:Address> child element.
Methods in org.opensaml.soap.wsaddressing with parameters of type Address
Modifier and Type
Method
Description
`void`
EndpointReferenceType.`setAddress(Address address)`
Sets the <wsa:Address> child element.

## Uses of Address in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement Address
Modifier and Type
Class
Description
`class`
`AddressImpl`
AddressImpl is the concrete implementation of `Address`.
Fields in org.opensaml.soap.wsaddressing.impl declared as Address
Modifier and Type
Field
Description
`private Address`
EndpointReferenceTypeImpl.`address`
`Address` child element.
Methods in org.opensaml.soap.wsaddressing.impl that return Address
Modifier and Type
Method
Description
`Address`
AddressBuilder.`buildObject()`
Builds a WS-Addressing object.
`Address`
AddressBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Address`
EndpointReferenceTypeImpl.`getAddress()`
Returns the <wsa:Address> child element.
Methods in org.opensaml.soap.wsaddressing.impl with parameters of type Address
Modifier and Type
Method
Description
`void`
EndpointReferenceTypeImpl.`setAddress(Address newAddress)`
Sets the <wsa:Address> child element.